{% extends "base.html" %}
{% block main_content %}
<section id="item_list">
    <h1>{{ title }}</h1>
    {% if user.is_authenticated %}
    <a href="{% url 'add_item' %}">Add Item</a>
    {% endif%}
    <table border="1" class="item-table">
  <tr>
      <th>image</th>
      <th>Item</th>
      <th>Category</th>
      <th>Descriptions</th>
      <th>Keywords</th>
      <th>Price</th>
      <th>Actions</th>
  </tr>
        {% for o in object_list %}
  <tr>
      <td> <img src="{{ o.itempic.url }}" width="100"/></td>
      <td>{{ o.name }}</td>
      <td>{{ o.category }}</td>
      <td> {{ o.description }} </td>
      <td> {{ o.keywords }} </td>
      <td>{{ o.price }}$</td>
      <td> <a href="{% url 'item_details' o.pk %}">View details</a></td>
    {% endfor %}
    </table>
</section>

<!-- pagination -->
<div class="pagination">
    <span class="step-links">
    {% if page_obj.has_previous%}
     <a href="?page=1">&laquo; first</a>
        <a href="?page={{ page_obj.previous_page_number}}">previous</a>
    {% endif%}
    <span class="current">
        Page {{ page_obj.number}} of {{ page_obj.paginator.num_pages}}.
    </span>
    {% if page_obj.has_next%}
        <a href="?page={{ page_obj.next_page_number}}">next</a>
        <a href="?page={{ page_obj.paginator.num_pages}}">last &raquo;</a>
    {% endif%}
</span>
</div>
{% endblock main_content %}